package com.ruoyi.cms.service;

import com.ruoyi.common.core.domain.entity.UserWorkExperiences;

import java.util.List;

/**
 * 用户工作经历表
 *
 * @author 
 * @email 
 * @date 2025-10-10 16:26:26
 */
public interface UserWorkExperiencesService {

    List<UserWorkExperiences> getWorkExperiencesList(UserWorkExperiences userWorkExperiences);

    int insertWorkExperiences(UserWorkExperiences userWorkExperiences);

    int updateWorkExperiencesById(UserWorkExperiences userWorkExperiences);

    int deleteWorkExperiencesIds(Long[] ids);

    UserWorkExperiences getWorkExperiencesById(Long id);
}

